com.microfocus.awm.model

## Interface ITableResource

- All Superinterfaces:
    org.eclipse.core.runtime.IAdaptable, IResource
  All Known Implementing Classes:
    TableResource

      public interface ITableResource
      extends IResource

  Simple expansion of an `IResource` for table entries within a structured file descriptor. Mainly used for modeled AWM dialogs which use a file descriptor to diplay a table.
  Author:
    Micro Focus

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileDescriptor` | `getFileDescriptor()` Gets the file descriptor of the table resource.
    `IPropertyValue` | `getPropertyValue(int pColumnIndex)` Gets the property value for a column index.
    `java.util.List<ITableResource>` | `getTableResourceList()` Gets the list of table resources which contains this table resource.

    - ### Methods inherited from interface com.microfocus.awm.model.IResource

      `addChildResource, addPropertyValue, addResourceChild, delete, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Method Detail

    - #### getFileDescriptor

          FileDescriptor getFileDescriptor()

      Gets the file descriptor of the table resource.
      Returns:
        the file descriptor of the table resource.

    - #### getPropertyValue

          IPropertyValue getPropertyValue(int pColumnIndex)

      Gets the property value for a column index.
      Parameters:
        `pColumnIndex` - a column index.
      Returns:
        the property value for the column index.

    - #### getTableResourceList

          java.util.List<ITableResource> getTableResourceList()

      Gets the list of table resources which contains this table resource.
      Returns:
        the list of table resources

Copyright © 2015 Micro Focus GmbH. All rights reserved.